import request from '@/utils/request'

export function listDefinition(query) {
  return request({
    url: '/activiti/definition/list',
    method: 'get',
    params: query
  })
}

export function suspendOrActiveApply(id, suspendState) {
  return request({
    url: '/activiti/definition/suspendOrActiveApply',
    method: 'post',
    params: {
      'id': id,
      'suspendState': suspendState
    }
  })
}

export function convert2Model(id) {
  return request({
    url: '/activiti/definition/convert2Model',
    method: 'post',
    params: {
      processDefinitionId: id
    }
  })
}
export function delDefinition(id) {
  return request({
    url: '/activiti/definition/remove',
    method: 'post',
    params: {
      ids: id
    }
  })
}
